## ros-galactic-moveit-planners-ompl 2.3.4

=== ompl_interface/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_ompl_interface)

add_library(${MOVEIT_LIB_NAME} SHARED
  src/ompl_interface.cpp
  src/planning_context_manager.cpp
  src/model_based_planning_context.cpp
  src/parameterization/model_based_state_space.cpp
  src/parameterization/model_based_state_space_factory.cpp
  src/parameterization/joint_space/constrained_planning_state_space.cpp
  src/parameterization/joint_space/constrained_planning_state_space_factory.cpp
  src/parameterization/joint_space/joint_model_state_space.cpp
  src/parameterization/joint_space/joint_model_state_space_factory.cpp
  src/parameterization/work_space/pose_model_state_space.cpp
  src/parameterization/work_space/pose_model_state_space_factory.cpp
  src/detail/ompl_constraints.cpp
  src/detail/threadsafe_state_storage.cpp
  src/detail/state_validity_checker.cpp
  src/detail/projection_evaluators.cpp
  src/detail/goal_union.cpp
  src/detail/constraints_library.cpp
  src/detail/constrained_sampler.cpp
  src/detail/constrained_valid_state_sampler.cpp
  src/detail/constrained_goal_sampler.cpp
)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

find_package(OpenMP REQUIRED)

# Used to link in ODE, an OMPL dependency, on macOS
if(APPLE)
  target_link_directories(${MOVEIT_LIB_NAME} PUBLIC ${OMPL_LIBRARY_DIRS})
endif()

ament_target_dependencies(${MOVEIT_LIB_NAME}
  moveit_core
  moveit_msgs
  moveit_ros_planning
  rclcpp
  pluginlib
  tf2_eigen
  tf2_ros
  OMPL
  Boost
)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")

add_executable(moveit_generate_state_database scripts/generate_state_database.cpp)
target_link_libraries(moveit_generate_state_database ${MOVEIT_LIB_NAME})
set_target_properties(moveit_generate_state_database PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")
set_target_properties(moveit_generate_state_database PROPERTIES OUTPUT_NAME "generate_state_database")

add_library(moveit_ompl_planner_plugin SHARED src/ompl_planner_manager.cpp)
set_target_properties(moveit_ompl_planner_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(moveit_ompl_planner_plugin
  moveit_core
  moveit_ros_planning
  rclcpp
  pluginlib
  tf2_ros
  OMPL
  Boost
)
target_link_libraries(moveit_ompl_planner_plugin ${MOVEIT_LIB_NAME})

install(TARGETS moveit_generate_state_database
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)
install(DIRECTORY include/ DESTINATION include)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(Eigen3 REQUIRED)

  ament_add_gtest(test_state_space test/test_state_space.cpp)
  ament_target_dependencies(test_state_space moveit_core OMPL Boost Eigen3)
  target_link_libraries(test_state_space ${MOVEIT_LIB_NAME})
  set_target_properties(test_state_space PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")

  ament_add_gtest(test_state_validity_checker test/test_state_validity_checker.cpp)
  ament_target_dependencies(test_state_validity_checker moveit_core OMPL Boost Eigen3)
  target_link_libraries(test_state_validity_checker ${MOVEIT_LIB_NAME})
  set_target_properties(test_state_validity_checker PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")

  ament_add_gtest(test_planning_context_manager test/test_planning_context_manager.cpp)
  ament_target_dependencies(test_planning_context_manager moveit_core tf2_eigen OMPL Boost Eigen3)
  target_link_libraries(test_planning_context_manager ${MOVEIT_LIB_NAME})

  # Disabling flaky test
  # TODO (vatanaksoytezer): Uncomment once this is fixed
  # ament_add_gtest(test_ompl_constraints test/test_ompl_constraints.cpp)
  # ament_target_dependencies(test_ompl_constraints moveit_core OMPL Boost Eigen3)
  # target_link_libraries(test_ompl_constraints ${MOVEIT_LIB_NAME})

  ament_add_gtest(test_constrained_planning_state_space test/test_constrained_planning_state_space.cpp)
  ament_target_dependencies(test_constrained_planning_state_space moveit_core OMPL Boost Eigen3)
  target_link_libraries(test_constrained_planning_state_space ${MOVEIT_LIB_NAME})
  set_target_properties(test_constrained_planning_state_space PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")

  ament_add_gtest(test_constrained_state_validity_checker test/test_constrained_state_validity_checker.cpp)
  ament_target_dependencies(test_constrained_state_validity_checker moveit_core OMPL Boost Eigen3)
  target_link_libraries(test_constrained_state_validity_checker ${MOVEIT_LIB_NAME})
  set_target_properties(test_constrained_state_validity_checker PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")

  ament_add_gtest(test_threadsafe_state_storage test/test_threadsafe_state_storage.cpp)
  ament_target_dependencies(test_threadsafe_state_storage moveit_core OMPL Boost Eigen3)
  target_link_libraries(test_threadsafe_state_storage ${MOVEIT_LIB_NAME})
  set_target_properties(test_threadsafe_state_storage PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")

endif()

=== debian/changelog ===
ros-galactic-moveit-planners-ompl (2.3.4-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 07 Feb 2022 07:00:00 -0000

ros-galactic-moveit-planners-ompl (2.3.3-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Jan 2022 07:00:00 -0000

ros-galactic-moveit-planners-ompl (2.3.2-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 29 Dec 2021 07:00:00 -0000

ros-galactic-moveit-planners-ompl (2.3.1-1focal) focal; urgency=high

  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Get rid of "std::endl" (#918 <https://github.com/ros-planning/moveit2/issues/918>)
  * changed post-increments in loops to preincrements (#888 <https://github.com/ros-planning/moveit2/issues/888>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Reduce log verbosity, improved info message (#714 <https://github.com/ros-planning/moveit2/issues/714>)
  * Fix #2811 <https://github.com/ros-planning/moveit/issues/2811> (#2872 <https://github.com/ros-planning/moveit/issues/2872>)
    This is a PR for #2811 <https://github.com/ros-planning/moveit/issues/2811>
  * Add missing dependencies to generated dynamic_reconfigure headers
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Dave Coleman, David V. Lu!!, Henning Kayser, Mathias Lüdtke, Parthasarathy Bana, Robert Haschke, Sencer Yazıcı, pvanlaar, v4hn, werner291

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Dec 2021 07:00:00 -0000

ros-galactic-moveit-planners-ompl (2.3.0-1focal) focal; urgency=high

  * Fix cmake warnings (#690 <https://github.com/ros-planning/moveit2/issues/690>)
    * Fix -Wformat-security
    * Fix -Wunused-variable
    * Fix -Wunused-lambda-capture
    * Fix -Wdeprecated-declarations
    * Fix clang-tidy, readability-identifier-naming in moveit_kinematics
  * Fix warnings in Galactic and Rolling (#598 <https://github.com/ros-planning/moveit2/issues/598>)
    * Use __has_includes preprocessor directive for deprecated headers
    * Fix parameter template types
    * Proper initialization of smart pointers, rclcpp::Duration
  * Fix linking issues for ODE on macOS (#549 <https://github.com/ros-planning/moveit2/issues/549>)
  * Contributors: Henning Kayser, Nisala Kalupahana, Vatan Aksoy Tezer, David V. Lu, Jafar Abdi

 -- Dave Coleman <dave@picknik.ai>  Fri, 08 Oct 2021 06:00:00 -0000

ros-galactic-moveit-planners-ompl (2.2.1-1focal) focal; urgency=high

  * Fix test dependencies (#539 <https://github.com/ros-planning/moveit2/issues/539>)
  * Add persistent planner support back (#537 <https://github.com/ros-planning/moveit2/issues/537>)
  * Contributors: Jochen Sprickerhof, Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Jul 2021 06:00:00 -0000

ros-galactic-moveit-planners-ompl (2.2.0-1focal) focal; urgency=high

  * Enable Rolling and Galactic CI (#494 <https://github.com/ros-planning/moveit2/issues/494>)
  * Temporarily disable flaky OMPL test (#495 <https://github.com/ros-planning/moveit2/issues/495>)
  * [sync] MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
    * CI: Use compiler flag --pedantic (#2691 <https://github.com/ros-planning/moveit/issues/2691>)
    * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Contributors: JafarAbdi, Michael Görner, Robert Haschke, Tyler Weaver, Vatan Aksoy Tezer, petkovich

 -- Dave Coleman <dave@picknik.ai>  Wed, 30 Jun 2021 06:00:00 -0000

ros-galactic-moveit-planners-ompl (2.1.4-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 31 May 2021 06:00:00 -0000

ros-galactic-moveit-planners-ompl (2.1.3-1focal) focal; urgency=high

  * Fix incomplete start states in OMPL ThreadSafeStateStorage (#455 <https://github.com/ros-planning/moveit2/issues/455>)
  * ompl_interface: Fix loading group's specific parameters (#461 <https://github.com/ros-planning/moveit2/issues/461>)
  * Contributors: Jafar Abdi, Pradeep Rajendran

 -- Dave Coleman <dave@picknik.ai>  Sat, 22 May 2021 06:00:00 -0000

ros-galactic-moveit-planners-ompl (2.1.2-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Tue, 20 Apr 2021 06:00:00 -0000

ros-galactic-moveit-planners-ompl (2.1.1-1focal) focal; urgency=high

  * Add differential drive joint model (#390 <https://github.com/ros-planning/moveit2/issues/390>)
  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * OMPL constrained planning (#347 <https://github.com/ros-planning/moveit2/issues/347>)
    Co-authored-by: JeroenDM <mailto:jeroendemaeyer@live.be>
  * [fix] export cmake library install (#339 <https://github.com/ros-planning/moveit2/issues/339>)
  * Fix repo URLs in package.xml files
  * Contributors: Boston Cleek, David V. Lu!!, Henning Kayser, Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Apr 2021 06:00:00 -0000

ros-galactic-moveit-planners-ompl (2.1.0-1focal) focal; urgency=high

  * [fix] Rosdep dependencies for ros_testing, OpenMP (#309 <https://github.com/ros-planning/moveit2/issues/309>)
  * [fix] OMPL parameter loading (#178 <https://github.com/ros-planning/moveit2/issues/178>)
  * [maint] Wrap common cmake code in 'moveit_package()' macro (#285 <https://github.com/ros-planning/moveit2/issues/285>)
    * New moveit_package() macro for compile flags, Windows support etc
    * Add package 'moveit_common' as build dependency for moveit_package()
    * Added -Wno-overloaded-virtual compiler flag for moveit_ros_planners_ompl
  * [maint] Update to new moveit_resources layout (#247 <https://github.com/ros-planning/moveit2/issues/247>)


=== debian/control ===
Source: ros-galactic-moveit-planners-ompl
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libomp-dev, ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-eigen3-cmake-module, ros-galactic-moveit-common, ros-galactic-moveit-core, ros-galactic-moveit-msgs, ros-galactic-moveit-resources-fanuc-moveit-config, ros-galactic-moveit-resources-panda-moveit-config, ros-galactic-moveit-resources-pr2-description, ros-galactic-moveit-ros-planning, ros-galactic-ompl, ros-galactic-pluginlib (>= 1.11.2), ros-galactic-rclcpp, ros-galactic-tf2-eigen, ros-galactic-tf2-ros, ros-galactic-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-galactic-moveit-planners-ompl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libomp-dev, ros-galactic-moveit-core, ros-galactic-moveit-msgs, ros-galactic-moveit-ros-planning, ros-galactic-ompl, ros-galactic-pluginlib (>= 1.11.2), ros-galactic-rclcpp, ros-galactic-tf2-eigen, ros-galactic-tf2-ros, ros-galactic-ros-workspace
Description: MoveIt interface to OMPL

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-moveit-planners-ompl//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
